Filter Properties
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/properties/filter \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '{}'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/properties/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/properties/filter"
payload = {}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
{
"id": 123,
"registration_number": "<string>",
"address": "<string>",
"address_line_2": "<string>",
"zip_code": "<string>",
"zone": "<string>",
"locality": "<string>",
"latitude": 123,
"longitude": 123,
"property_type": "<string>",
"area": 123,
"bedrooms": 123,
"bathrooms": 123,
"parking_spaces": 123,
"admin_fee": 123,
"amenities": [
"<string>"
],
"country_code": "<string>",
"country_name": "<string>",
"state_code": "<string>",
"state_name": "<string>",
"city_name": "<string>",
"labels": [
{
"id": 123,
"title": "<string>",
"color": "<string>"
}
],
"property_managers": [
{
"id": 123,
"account_id": 123,
"description": "<string>",
"management_fee": 123,
"contract_start_date": "2023-12-25",
"contract_end_date": "2023-12-25",
"display_title": "<string>",
"commission_type": "<string>",
"internal_photos": [
"<string>"
],
"notes": "<string>",
"listing_price": 123,
"rental_price": 123,
"currency": "<string>",
"offer_type": "<string>",
"open_to_market": true,
"status": "<string>",
"additional_attributes": {}
}
],
"active_contract_submission_id": 123,
"active_tenant_name": "<string>",
"active_tenancy_status": "<string>",
"linked_contracts_count": 123,
"property_assignments": [
{
"id": 123,
"contact_id": 123,
"role": "<string>",
"ownership_percentage": 123,
"contact": {
"id": 123,
"name": "<string>",
"email": "<string>"
}
}
]
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Properties
Filter Properties
Filter the portfolio with the same query language as saved custom filters.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
properties
/
filter
Filter Properties
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/properties/filter \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '{}'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/properties/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/properties/filter"
payload = {}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
{
"id": 123,
"registration_number": "<string>",
"address": "<string>",
"address_line_2": "<string>",
"zip_code": "<string>",
"zone": "<string>",
"locality": "<string>",
"latitude": 123,
"longitude": 123,
"property_type": "<string>",
"area": 123,
"bedrooms": 123,
"bathrooms": 123,
"parking_spaces": 123,
"admin_fee": 123,
"amenities": [
"<string>"
],
"country_code": "<string>",
"country_name": "<string>",
"state_code": "<string>",
"state_name": "<string>",
"city_name": "<string>",
"labels": [
{
"id": 123,
"title": "<string>",
"color": "<string>"
}
],
"property_managers": [
{
"id": 123,
"account_id": 123,
"description": "<string>",
"management_fee": 123,
"contract_start_date": "2023-12-25",
"contract_end_date": "2023-12-25",
"display_title": "<string>",
"commission_type": "<string>",
"internal_photos": [
"<string>"
],
"notes": "<string>",
"listing_price": 123,
"rental_price": 123,
"currency": "<string>",
"offer_type": "<string>",
"open_to_market": true,
"status": "<string>",
"additional_attributes": {}
}
],
"active_contract_submission_id": 123,
"active_tenant_name": "<string>",
"active_tenancy_status": "<string>",
"linked_contracts_count": 123,
"property_assignments": [
{
"id": 123,
"contact_id": 123,
"role": "<string>",
"ownership_percentage": 123,
"contact": {
"id": 123,
"name": "<string>",
"email": "<string>"
}
}
]
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
The numeric ID of the account
Body
application/json
The body is of type object.
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes